.custom-card {
    background: #ffffff;
    padding: 8px;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.20);
    height: 100%;
    display: flex;
    flex-direction: column;
}

/* Image Wrapper */
.card-image-wrapper {
    position: relative;
    height: 400px;          /* FIXED HEIGHT */
    overflow: hidden;
}

/* Image */
.card-image-wrapper img {
    width: 100%;
    /* height: 400px; */
    height: 370px !important;
}

/* Header Overlay */
.card-header-custom {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    background: var(--e-global-color-2db06a9);
    color: #fff;
    font-size: 20px;
    text-align: center;
    padding: 15px;
    font-weight: 500;
}

/* Body */
.card-body-custom {
    padding: 25px;
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.card-body-custom p {
    color: #555;
    line-height: 1.7;
    font-size: 15px;
}

/* Hover effect */
.custom-card:hover p {
    color: #a6192e;
}

/* Button */
.btn-learn {
    display: inline-block;
    background: #a6192e;
    color: #fff !important;
    padding: 10px 22px;
    text-decoration: none;
    font-size: 13px;
    letter-spacing: 1px;
    margin-top: 20px;
    transition: 0.3s ease;
    width: 150px;
}

.btn-learn:hover {
    background: #7e1423;
}

/* Responsive */
@media (max-width: 768px) {
    .card-image-wrapper {
        height: 200px;
    }
}